obsolete config files of unity-greeter left after the oneiric 2 precise upgrade

Bug #1050769 reported by Victor Zhou on 2012-09-14
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
unity-greeter (Ubuntu)
Low
Michael Terry
Precise
Low
Michael Terry

Bug Description

[Impact]
Users that upgrade to 12.04 LTS will have a leftover config file /etc/lightdm/unity-greeter.conf. This will be confusing, since the file is no longer used by unity-greeter. In addition, it is sloppy, since such files are supposed to be cleaned up by packaging.

Leaving such files also causes the automatic upgrade tests to fail. See https://jenkins.qa.ubuntu.com/job/precise-upgrade-oneiric-desktop/263/ for example.

[Test Case]
In a 12.04 chroot with precise-proposed enabled, you could download the 11.10 version of unity-greeter, and do the following:
$ sudo dpkg -i --force-all unity-greeter_0.1.1-0ubuntu1_i386.deb
$ ls /etc/lightdm/unity-greeter.conf
$ sudo apt-get install unity-greeter
$ ls /etc/lightdm/unity-greeter.conf

The first check should show the conffile present. It should be deleted by installing unity-greeter from -proposed.

[Regression Potential]
Can't think of any. The patch I'm using uses the dpkg-maintscript-helper support, so all the usual corner cases (user modified conffile) are automatically taken care of.

[Original Report]
oneiric to precise upgrade : desktop | main | universe

arch: i386 | amd64

obsolete config file:
unity-greeter
  /etc/lightdm/unity-greeter.conf

Link to an example failed test run:
https://jenkins.qa.ubuntu.com/job/precise-upgrade-oneiric-desktop/263/

affects: libcanberra (Ubuntu) → unity-greeter (Ubuntu)
Changed in unity-greeter (Ubuntu):
assignee: nobody → Michael Terry (mterry)
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-greeter (Ubuntu):
status: New → Confirmed
Changed in unity-greeter (Ubuntu Precise):
importance: Undecided → Low
status: New → Triaged
Michael Terry (mterry) on 2012-10-22
Changed in unity-greeter (Ubuntu):
status: Confirmed → Invalid
Changed in unity-greeter (Ubuntu Precise):
assignee: nobody → Michael Terry (mterry)
description: updated
Michael Terry (mterry) wrote :

I've uploaded a patch to precise-proposed to fix this. Thanks!

description: updated

Hello Victor, or anyone else affected,

Accepted unity-greeter into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/unity-greeter/0.2.8-0ubuntu1.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-greeter (Ubuntu Precise):
status: Triaged → Fix Committed
tags: added: verification-needed
Sebastien Bacher (seb128) wrote :

I can confirm the fix!

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-greeter - 0.2.8-0ubuntu1.4

---------------
unity-greeter (0.2.8-0ubuntu1.4) precise-proposed; urgency=low

  * debian/maintscript, debian/control:
    - Delete obsolete conffile /etc/lightdm/unity-greeter.conf on upgrade
      (LP: #1050769)
 -- Michael Terry <email address hidden> Mon, 22 Oct 2012 11:47:56 -0400

Changed in unity-greeter (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers